$LOAD_PATH.unshift File.dirname(__FILE__)
require 'settingslogic'

require 'dag/client'
require 'dag/client/exception'
require 'dag/client/version'
require 'active_support/core_ext/object/blank'
require 'active_support/core_ext/object/try'
require 'active_support/core_ext/object/to_query'

module Dag
  autoload :Model,              'dag/client/model'

  autoload :Bucket,             'dag/client/model/bucket'
  autoload :BucketCollection,   'dag/client/model/bucket_collection'

  autoload :Cluster,            'dag/client/model/cluster'
  autoload :ClusterCollection,  'dag/client/model/cluster_collection'

  autoload :Database,           'dag/client/model/database'
  autoload :DatabaseCollection, 'dag/client/model/database_collection'

  autoload :Job,                'dag/client/model/job'
  autoload :JobCollection,      'dag/client/model/job_collection'

  autoload :Object,             'dag/client/model/object'
  autoload :ObjectCollection,   'dag/client/model/object_collection'

  autoload :Table,              'dag/client/model/table'
  autoload :TableCollection,    'dag/client/model/table_collection'

  autoload :Settings,           'dag/settings'
end
